
dword mtlSkill1;

TEXTURE entSkin1; //Blendmap1
TEXTURE entSkin2; //Blendmap1

TEXTURE mtlSkin1;
TEXTURE mtlSkin2;
TEXTURE mtlSkin3;
TEXTURE mtlSkin4;

matrix matMtl;

technique t0
{ 
	
	pass p0 
	{ 		
		ZWriteEnable=True;
		AlphaBlendEnable=False;
		AlphaTestEnable=True;
		CullMode=CCW; // CCW or None
		srcblend=srcalpha;
		destblend=invsrcalpha;
		
		TEXTURE[0] = <entSkin2>;

		magFilter[0]=none;
		minFilter[0]=none;
		mipFilter[0]=none;

		TEXTURETransformFlags[0] = disable;
		
		texcoordindex[0]=0;	
		
		COLORARG1[0] = CURRENT; 
		ColorOp[0] = SELECTARG1;
		ALPHAARG1[0] = TEXTURE | ALPHAREPLICATE;
		alphaop[0]=selectarg1;

		//////////////////////////////////////////////
		// Stage 1 -- This is the TEXTURE to splat
		//////////////////////////////////////////////

		TEXTURE[1] = <mtlSkin4>;
		

		// Zenable is supposed to default to true.  
		// This enables depth testing to determine what pixels 
		// are visible to the viewer
		
		//zenable=true;
		//zwriteenable=true;

		magFilter[1]=linear;
		minFilter[1]=linear;
		mipFilter[1]=linear;
		
		
		TEXTURETransformFlags[1] = Count2;
		TextureTransform[1]=<matMtl>;
		texcoordindex[1]=1;

		COLORARG1[1] = TEXTURE; 
		ColorOp[1] = MODULATE2x;
		ALPHAARG1[1] = CURRENT | ALPHAREPLICATE;
		alphaop[1]=disable;
		
		///////////////////////////////////////////////
		// Stage 2
		///////////////////////////////////////////////
		colorop[2]=disable;
		alphaop[2]=disable;
	} 
	
	pass P1
	//////////////////////////////////////////////////////
	//// Now we blend another TEXTURE using an alphamap
	//// This TEXTURE will be blended
	//////////////////////////////////////////////////////
	{
		
		//////////////////////////////////////
		// Stage 0 - Setup the alphamap
		//////////////////////////////////////            		

		// We need to enable alphablending 
		ZWriteEnable=True;
		AlphaBlendEnable=False;
		AlphaTestEnable=True;
		CullMode=CCW; // CCW or None
		srcblend=srcalpha;
		destblend=invsrcalpha;
		
		// AlphaTestEnable uses the AlphaRef and AlphaFunc to 
		// determine which pixels get drawn.
		// In this case, anything greater that 0 will be drawn.
		//		alphatestenable=true;
		//		alpharef=0x00000000;      	//Reference Value
		//		alphafunc=Greater;  	  	//Comparison Function
		
		TEXTURE[0] = <entSkin1>;

		magFilter[0]=none;
		minFilter[0]=none;
		mipFilter[0]=none;
		
		//
		// We don't want the alphamap to tile
		//
		TEXTURETransformFlags[0] = disable;
		
		texcoordindex[0]=0;	
		
		COLORARG1[0] = CURRENT; 
		ColorOp[0] = SELECTARG1;
		ALPHAARG1[0] = TEXTURE | ALPHAREPLICATE;
		alphaop[0]=selectarg1;

		//////////////////////////////////////////////
		// Stage 1 -- This is the TEXTURE to splat
		//////////////////////////////////////////////

		TEXTURE[1] = <mtlSkin3>;
		

		// Zenable is supposed to default to true.  
		// This enables depth testing to determine what pixels 
		// are visible to the viewer
		
		//zenable=true;
		//zwriteenable=true;

		magFilter[1]=linear;
		minFilter[1]=linear;
		mipFilter[1]=linear;
		
		
		TEXTURETransformFlags[1] = Count2;
		TextureTransform[1]=<matMtl>;
		texcoordindex[1]=1;

		COLORARG1[1] = TEXTURE; 
		ColorOp[1] = MODULATE2X;
		ALPHAARG1[1] = CURRENT | ALPHAREPLICATE;
		alphaop[1]=disable;
		
		///////////////////////////////////////////////
		// Stage 2
		///////////////////////////////////////////////
		colorop[2]=disable;
		alphaop[2]=disable;
		
		
	}
}

